Nice theme

Permalink
I like this theme a lot and am using it for my food blog. I have had some issues w/the categories not sorting, but I am going to see if I can contact support for help.

HMcCarthy
View Replies:
ThomasJ replied on at Permalink Reply
ThomasJ
I downloaded this theme for version c5.7.4 and it doesn't work with PHP, 5.3.3,
I got the following error when trying to install it.
syntax error, unexpected '[', expecting ')'
/var/www/html/pennyspetals/packages/theme_palette/controller.php
BlockTypeSet::add('theme_palette','Palette', $pkg);
BlockType::installBlockTypeFromPackage('palette_heading_option', $pkg);
BlockType::installBlockTypeFromPackage('palette_horizontal_rule', $pkg);
PageTheme::add('palette', $pkg);
if ( compat_is_version_8() ) {
$em = \ORM::entityManager();
$small = $em->getRepository('\Concrete\Core\Entity\File\Image\Thumbnail\Type\Type')->findOneBy(['ftTypeHandle' => 'small']);
}

My fix to allow installation was to comment out all of the 3 if statements causing the error and just leave the code that would run for versions less than c5.8.0.